> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Evaluate expression

> Evaluate a formula expression



## OpenAPI

````yaml https://api.getcargo.io/openapi.json post /expression/expressions/evaluate
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /expression/expressions/evaluate:
    post:
      tags:
        - Expression - Expressions
      summary: Evaluate expression
      description: Evaluate a formula expression
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                variables:
                  title: Variables
                  description: Variables used to evaluate the expression.
                expression:
                  allOf:
                    - type: object
                      properties:
                        kind:
                          type: string
                          enum:
                            - jsExpression
                            - templateExpression
                        instructTo:
                          type: string
                          enum:
                            - ai
                            - none
                        expression:
                          type: string
                      required:
                        - kind
                        - instructTo
                        - expression
                    - anyOf:
                        - type: object
                          properties:
                            fromRecipe:
                              type: boolean
                              const: false
                          required:
                            - fromRecipe
                        - type: object
                          properties:
                            fromRecipe:
                              type: boolean
                              const: true
                            recipe:
                              type: object
                              properties:
                                uuid:
                                  type: string
                                version:
                                  type: number
                                variables:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                              required:
                                - uuid
                                - version
                                - variables
                          required:
                            - fromRecipe
                            - recipe
                  title: Expression
                  description: Expression to evaluate.
              required:
                - variables
                - expression
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    title: Data
                    description: Evaluation result.
                required:
                  - data
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````